/* SCE CONFIDENTIAL
 * PLAYSTATION(R)3 Programmer Tool Runtime Library 084.006
 * Copyright (C) 2005 Sony Computer Entertainment Inc.
 * All Rights Reserved.
 */

/* f_llrintf function */


_FUNC_DEF(
	long long int,  
	f_llrintf, 
	(float x))
{
        union {
		double d;
	        long long int li;
	} udl;
        __asm__ volatile ("fctid %0,%1": "=f"(udl.d) : "f"(x));
        return udl.li;
}
